Subject: [bug#76746] [PATCH 00/13] Add spotify-downloader.

From: 45mg <[email-masked]>
Date: Wed, 5 Mar 2025 00:40:01 +0530

If my understanding is correct, patch 4/13 will cause huge rebuilds (~4000
packages) as it changes the derivation for python-websockets to inherit from
the new python-websockets-14. I don't know how we normally handle
this. Guidance would be appreciated.

3/13 (python-rich) and 2/13 (python-rapidfuzz) will also cause a lot of
rebuilds - 637 and 147 packages, respectively (if I'm reading the `guix
refresh` output correctly). I don't have the hardware to build all of these
and see if they still work.

Hopefully we can figure this out.

45mg (13):
  gnu: python-slugify: Update to 8.0.4.
  gnu: python-rapidfuzz: Update to 3.10.1.
  gnu: python-rich: Update to 13.9.4.
  gnu: Add python-websockets-14.
  gnu: Add python-dacite.
  gnu: Add python-jaconv.
  gnu: Add python-pykakasi.
  gnu: Add python-syncedlyrics.
  gnu: Add python-soundcloud-v2.
  gnu: Add python-ytmusicapi.
  gnu: Add python-pytube.
  gnu: Add python-spotipy.
  gnu: Add spotify-downloader.

 gnu/packages/python-web.scm | 251 ++++++++++++++++++++++++++++++++++--
 gnu/packages/python-xyz.scm | 119 +++++++++++++++--
 2 files changed, 350 insertions(+), 20 deletions(-)

base-commit: f3064b765a5bbbff72bf2fd0e5fa6ecc4b1136f0
-- 
2.48.1